---
name: Bug report
about: Create a report to help us improve

---

**Do you want to request a *feature* or report a *bug*?**

**If the current behavior is a feature request, please frame a clear argument for it and provide a use-case for why it should be added to the library instead of in your own fork**

**If the current behavior is a bug, please provide the steps to reproduce in this issue as well as a link to a minimal demo on something like JSFiddle or CodePen (try to reduce the problem by removing any dependencies or unrelated code). Your bug will get fixed much faster if we can reproduce the problem.**

**Describe the bug**

A clear and concise description of what the bug is.

**Steps To Reproduce**

Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**

A clear and concise description of what you expected to happen.

**Actual behavior**

A clear and concise description of what actually happened.

**Screenshots**

If applicable, add screenshots to help explain your problem.

**Desktop (please complete the following information):**

 - OS: [e.g. iOS]
 - Browser [e.g. chrome, safari]
 - Version [e.g. 22]

**Smartphone (please complete the following information):**

 - Device: [e.g. iPhone6]
 - OS: [e.g. iOS8.1]
 - Browser [e.g. stock browser, safari]
 - Version [e.g. 22]

**Additional context**

Add any other context about the problem here.
